#ifndef _AD9959_H_
#define _AD9959_H_
#include "sys.h"
#include "stdint.h"
//AD9959Ĵַ
#define CSR_ADD   0x00   //CSR ͨѡĴ
#define FR1_ADD   0x01   //FR1 ܼĴ1
#define FR2_ADD   0x02   //FR2 ܼĴ2
#define CFR_ADD   0x03   //CFR ܼͨĴ
#define CFTW0_ADD 0x04   //CTW0 ͨƵתּĴ
#define CPOW0_ADD 0x05   //CPW0 ͨλתּĴ
#define ACR_ADD   0x06   //ACR ȿƼĴ
#define LSRR_ADD  0x07   //LSR ͨɨĴ
#define RDW_ADD   0x08   //RDW ͨɨĴ
#define FDW_ADD   0x09   //FDW ͨɨĴ
//AD9959ܽź궨
#define CS			PAout(6)
#define SCLK		PBout(1)
#define UPDATE	PBout(0)
#define PS0			PAout(7)
#define PS1			PAout(2)
#define PS2			PBout(10)
#define PS3			PCout(0)
#define SDIO0		PAout(5)
#define SDIO1		PAout(4)
#define SDIO2		PAout(3)
#define SDIO3		PAout(8)
#define AD9959_PWR			PAout(9)
#define Reset		PAout(10)

void delay1 (u32 length);
void IntReset(void);	  //AD9959λ
void IO_Update(void);   //AD9959
void Intserve(void);		   //IOڳʼ
void WriteData_AD9959(u8 RegisterAddress, u8 NumberofRegisters, u8 *RegisterData,u8 temp);
void Init_AD9959(void);
void Write_frequence(u8 Channel,u32 Freq);
void Write_Amplitude(u8 Channel, u16 Ampli);
void Write_Phase(u8 Channel,u16 Phase);
















#endif
